# Uses of Interface
org.opensaml.saml.saml1.core.Action

Packages that use Action
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of Action in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type Action
Modifier and Type
Method
Description
`List<Action>`
AuthorizationDecisionQuery.`getActions()`
Get list of Action child elements.
`List<Action>`
AuthorizationDecisionStatement.`getActions()`
Get the actions.

## Uses of Action in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Action
Modifier and Type
Class
Description
`class`
`ActionImpl`
Concrete implementation of `Action`.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type Action
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Action>`
AuthorizationDecisionQueryImpl.`actions`
Contains all the Action child elements.
`private final XMLObjectChildrenList<Action>`
AuthorizationDecisionStatementImpl.`actions`
Contains the list of Action elements.
Methods in org.opensaml.saml.saml1.core.impl that return Action
Modifier and Type
Method
Description
`Action`
ActionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Action`
ActionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type Action
Modifier and Type
Method
Description
`List<Action>`
AuthorizationDecisionQueryImpl.`getActions()`
Get list of Action child elements.
`List<Action>`
AuthorizationDecisionStatementImpl.`getActions()`
Get the actions.